#ifndef MONOSCOPE_H
#define MONOSCOPE_H

#include <plugin.h>

class Monoscope : public QWidget,  public MonoScope, public Plugin
{
Q_OBJECT
NOATUNPLUGIND

public:
	Monoscope();

	void init();

protected:
	virtual void closeEvent(QCloseEvent *);
	virtual void scopeEvent(float *data, int bands);

	virtual void resizeEvent(QResizeEvent *);

private:
	QRgb mHighColor, mLowColor;
};

#endif

